Your submission was sent successfully! Close

CVE-2017-9754

Published: 19 June 2017

The process_otr function in bfd/versados.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.28, does not validate a certain offset, which allows remote attackers to cause a denial of service (buffer overflow and application crash) or possibly have unspecified other impact via a crafted binary file, as demonstrated by mishandling of this file during "objdump -D" execution.

Notes

AuthorNote
mdeslaur
same commit as CVE-2017-9753
Priority

Low

CVSS 3 base score: 7.8

Status

Package Release Status
binutils
Launchpad, Ubuntu, Debian
artful Not vulnerable
(2.29-1ubuntu1)
bionic Not vulnerable
(2.29-1ubuntu1)
cosmic Not vulnerable
(2.29-1ubuntu1)
disco Not vulnerable
(2.29-1ubuntu1)
eoan Not vulnerable
(2.29-1ubuntu1)
focal Not vulnerable
(2.29-1ubuntu1)
groovy Not vulnerable
(2.29-1ubuntu1)
hirsute Not vulnerable
(2.29-1ubuntu1)
impish Not vulnerable
(2.29-1ubuntu1)
jammy Not vulnerable
(2.29-1ubuntu1)
precise Ignored
(end of ESM support, was needed)
trusty Needed

upstream
Released (2.29)
xenial
Released (2.26.1-1ubuntu1~16.04.8+esm1)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
Patches:
upstream: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=04f963fd489cae724a60140e13984415c205f4ac